<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="K2m.css">
</head>

<body>
    <header>
        <h3 id="h3">Factorial</h3>

    </header>

    <content>


        <form>
            <fieldset>
                <label for="num">Enter the number</label>
                <input type="number" id="num">
            </fieldset>

            <fieldset>
                <button type="button" onclick="result()">Result</button>
            </fieldset>
            <fieldset>
                <label for="fact">Factorial</label>
                <input type="number" id="fact">
            </fieldset>

        </form>
        <script>
            function result() {
                var n = parseInt(document.getElementById("num").value);
                function calculate(n) {


                    if (n == 1) {
                        return 1;
                    }
                    else {

                        return n * calculate(n - 1);
                    }
                }


                document.getElementById("fact").value = calculate(n);
                // alert(calculate(n));
            }
        </script>

    </content>
</body>

</html>